switch from intl to gettext

svn: r2017
This commit is contained in:
Don Allingham 2003-08-17 02:14:33 +00:00
parent 93add3c449
commit ebdc5fbcc3
143 changed files with 219 additions and 1014 deletions

View File

@ -1,3 +1,8 @@
2003-08-16 Don Allingham <dallingham@users.sourceforge.net>
* configure.in: removal of intl.c/intl22.so
* src/gramps.py: handling of i18n without the use of intl
* src/*.py: switch from intl to gettext
2003-08-15 Don Allingham <dallingham@users.sourceforge.net> 2003-08-15 Don Allingham <dallingham@users.sourceforge.net>
* src/gramps.glade: New tool icon * src/gramps.glade: New tool icon
* src/gramps_main.py: handle back/fwd buttons, disabling when * src/gramps_main.py: handle back/fwd buttons, disabling when

View File

@ -76,7 +76,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

777
configure vendored
View File

@ -273,44 +273,7 @@ PACKAGE_STRING='gramps 0.9.3'
PACKAGE_BUGREPORT='gramps-bugs@lists.sourceforge.net' PACKAGE_BUGREPORT='gramps-bugs@lists.sourceforge.net'
ac_unique_file="src/gramps.py" ac_unique_file="src/gramps.py"
# Factoring default headers for most tests. ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE RELEASE VERSIONSTRING MSGFMT LANGUAGES POFILES MOFILES PYTHON PYTHON_VERSION PYTHON_PREFIX PYTHON_EXEC_PREFIX PYTHON_PLATFORM pythondir pkgpythondir pyexecdir pkgpyexecdir BINSH SWIG ZIP CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE HAVE_PKG_CONFIG PYTHON_CPPFLAGS SK_CONFIG SCROLLKEEPER_BUILD_REQUIRED GNOMEHELP GPREFIX GNOMEINC GNOMELIB LIBOBJS LTLIBOBJS'
ac_includes_default="\
#include <stdio.h>
#if HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#if HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif
#if STDC_HEADERS
# include <stdlib.h>
# include <stddef.h>
#else
# if HAVE_STDLIB_H
# include <stdlib.h>
# endif
#endif
#if HAVE_STRING_H
# if !STDC_HEADERS && HAVE_MEMORY_H
# include <memory.h>
# endif
# include <string.h>
#endif
#if HAVE_STRINGS_H
# include <strings.h>
#endif
#if HAVE_INTTYPES_H
# include <inttypes.h>
#else
# if HAVE_STDINT_H
# include <stdint.h>
# endif
#endif
#if HAVE_UNISTD_H
# include <unistd.h>
#endif"
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE RELEASE VERSIONSTRING MSGFMT LANGUAGES POFILES MOFILES PYTHON PYTHON_VERSION PYTHON_PREFIX PYTHON_EXEC_PREFIX PYTHON_PLATFORM pythondir pkgpythondir pyexecdir pkgpyexecdir BINSH SWIG ZIP CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE CPP EGREP HAVE_PKG_CONFIG PYTHON_CPPFLAGS SK_CONFIG SCROLLKEEPER_BUILD_REQUIRED GNOMEHELP GPREFIX GNOMEINC GNOMELIB INTLLIBS LIBOBJS LTLIBOBJS'
ac_subst_files='' ac_subst_files=''
# Initialize some variables set by options. # Initialize some variables set by options.
@ -767,10 +730,6 @@ ac_env_CPPFLAGS_set=${CPPFLAGS+set}
ac_env_CPPFLAGS_value=$CPPFLAGS ac_env_CPPFLAGS_value=$CPPFLAGS
ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set} ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
ac_cv_env_CPPFLAGS_value=$CPPFLAGS ac_cv_env_CPPFLAGS_value=$CPPFLAGS
ac_env_CPP_set=${CPP+set}
ac_env_CPP_value=$CPP
ac_cv_env_CPP_set=${CPP+set}
ac_cv_env_CPP_value=$CPP
# #
# Report the --help message. # Report the --help message.
@ -858,7 +817,6 @@ Some influential environment variables:
nonstandard directory <lib dir> nonstandard directory <lib dir>
CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have
headers in a nonstandard directory <include dir> headers in a nonstandard directory <include dir>
CPP C preprocessor
Use these variables to override the choices made by `configure' or to help Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations. it to find libraries and programs with nonstandard names/locations.
@ -3033,735 +2991,6 @@ CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
CPP=
fi
if test -z "$CPP"; then
if test "${ac_cv_prog_CPP+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
# Double quotes because CPP needs to be expanded
for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
do
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
# Use a header file that comes with gcc, so configuring glibc
# with a fresh cross-compiler works.
# Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
# <limits.h> exists even on freestanding compilers.
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
Syntax error
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
:
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
# Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <ac_nonexistent.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
# Broken: success on invalid input.
continue
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
# Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.$ac_ext
done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.err conftest.$ac_ext
if $ac_preproc_ok; then
break
fi
done
ac_cv_prog_CPP=$CPP
fi
CPP=$ac_cv_prog_CPP
else
ac_cv_prog_CPP=$CPP
fi
echo "$as_me:$LINENO: result: $CPP" >&5
echo "${ECHO_T}$CPP" >&6
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
# Use a header file that comes with gcc, so configuring glibc
# with a fresh cross-compiler works.
# Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
# <limits.h> exists even on freestanding compilers.
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp. "Syntax error" is here to catch this case.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
Syntax error
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
:
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
# Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.$ac_ext
# OK, works on sane cases. Now check whether non-existent headers
# can be detected and how.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <ac_nonexistent.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
# Broken: success on invalid input.
continue
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
# Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.$ac_ext
done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.err conftest.$ac_ext
if $ac_preproc_ok; then
:
else
{ { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
See \`config.log' for more details." >&5
echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
See \`config.log' for more details." >&2;}
{ (exit 1); exit 1; }; }
fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
echo "$as_me:$LINENO: checking for egrep" >&5
echo $ECHO_N "checking for egrep... $ECHO_C" >&6
if test "${ac_cv_prog_egrep+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if echo a | (grep -E '(a|b)') >/dev/null 2>&1
then ac_cv_prog_egrep='grep -E'
else ac_cv_prog_egrep='egrep'
fi
fi
echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
echo "${ECHO_T}$ac_cv_prog_egrep" >&6
EGREP=$ac_cv_prog_egrep
echo "$as_me:$LINENO: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
if test "${ac_cv_header_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
int
main ()
{
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_header_stdc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_header_stdc=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <string.h>
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
$EGREP "memchr" >/dev/null 2>&1; then
:
else
ac_cv_header_stdc=no
fi
rm -f conftest*
fi
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <stdlib.h>
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
$EGREP "free" >/dev/null 2>&1; then
:
else
ac_cv_header_stdc=no
fi
rm -f conftest*
fi
if test $ac_cv_header_stdc = yes; then
# /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if test "$cross_compiling" = yes; then
:
else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) \
(('a' <= (c) && (c) <= 'i') \
|| ('j' <= (c) && (c) <= 'r') \
|| ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif
#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
int i;
for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i))
|| toupper (i) != TOUPPER (i))
exit(2);
exit (0);
}
_ACEOF
rm -f conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
( exit $ac_status )
ac_cv_header_stdc=no
fi
rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
fi
fi
echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
echo "${ECHO_T}$ac_cv_header_stdc" >&6
if test $ac_cv_header_stdc = yes; then
cat >>confdefs.h <<\_ACEOF
#define STDC_HEADERS 1
_ACEOF
fi
# On IRIX 5.3, sys/types and inttypes.h are conflicting.
for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
inttypes.h stdint.h unistd.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_Header=yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
eval "$as_ac_Header=no"
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
fi
done
if test "${ac_cv_header_libintl_h+set}" = set; then
echo "$as_me:$LINENO: checking for libintl.h" >&5
echo $ECHO_N "checking for libintl.h... $ECHO_C" >&6
if test "${ac_cv_header_libintl_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5
echo "${ECHO_T}$ac_cv_header_libintl_h" >&6
else
# Is the header compilable?
echo "$as_me:$LINENO: checking libintl.h usability" >&5
echo $ECHO_N "checking libintl.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <libintl.h>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
echo "$as_me:$LINENO: checking libintl.h presence" >&5
echo $ECHO_N "checking libintl.h presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <libintl.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc in
yes:no )
{ echo "$as_me:$LINENO: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: libintl.h: proceeding with the preprocessor's result" >&2;}
(
cat <<\_ASBOX
## ------------------------------------ ##
## Report this to bug-autoconf@gnu.org. ##
## ------------------------------------ ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
no:yes )
{ echo "$as_me:$LINENO: WARNING: libintl.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: libintl.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: libintl.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: libintl.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: libintl.h: proceeding with the preprocessor's result" >&2;}
(
cat <<\_ASBOX
## ------------------------------------ ##
## Report this to bug-autoconf@gnu.org. ##
## ------------------------------------ ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
esac
echo "$as_me:$LINENO: checking for libintl.h" >&5
echo $ECHO_N "checking for libintl.h... $ECHO_C" >&6
if test "${ac_cv_header_libintl_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_libintl_h=$ac_header_preproc
fi
echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5
echo "${ECHO_T}$ac_cv_header_libintl_h" >&6
fi
echo "$as_me:$LINENO: checking for textdomain in -lc" >&5
echo $ECHO_N "checking for textdomain in -lc... $ECHO_C" >&6
if test "${ac_cv_lib_c_textdomain+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lc $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char textdomain ();
int
main ()
{
textdomain ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_c_textdomain=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_c_textdomain=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_c_textdomain" >&5
echo "${ECHO_T}$ac_cv_lib_c_textdomain" >&6
if test $ac_cv_lib_c_textdomain = yes; then
LIBS=""
else
echo "$as_me:$LINENO: checking for textdomain in -lintl" >&5
echo $ECHO_N "checking for textdomain in -lintl... $ECHO_C" >&6
if test "${ac_cv_lib_intl_textdomain+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lintl $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char textdomain ();
int
main ()
{
textdomain ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_intl_textdomain=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_intl_textdomain=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_intl_textdomain" >&5
echo "${ECHO_T}$ac_cv_lib_intl_textdomain" >&6
if test $ac_cv_lib_intl_textdomain = yes; then
LIBS="-lintl"
else
{ { echo "$as_me:$LINENO: error: \"Could not find internationalization libraries\"" >&5
echo "$as_me: error: \"Could not find internationalization libraries\"" >&2;}
{ (exit 1); exit 1; }; }
fi
fi
# Extract the first word of "pkg-config", so it can be a program name with args. # Extract the first word of "pkg-config", so it can be a program name with args.
set dummy pkg-config; ac_word=$2 set dummy pkg-config; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5 echo "$as_me:$LINENO: checking for $ac_word" >&5
@ -4026,7 +3255,6 @@ SCROLLKEEPER_BUILD_REQUIRED=0.3.5
ac_config_files="$ac_config_files Makefile src/Makefile src/const.py src/docgen/Makefile src/filters/Makefile src/plugins/Makefile src/calendars/Makefile src/data/Makefile src/data/templates/Makefile src/po/Makefile doc/Makefile doc/gramps-manual/Makefile doc/gramps-manual/C/Makefile example/Makefile example/gramps/Makefile gramps.spec gramps.sh" ac_config_files="$ac_config_files Makefile src/Makefile src/const.py src/docgen/Makefile src/filters/Makefile src/plugins/Makefile src/calendars/Makefile src/data/Makefile src/data/templates/Makefile src/po/Makefile doc/Makefile doc/gramps-manual/Makefile doc/gramps-manual/C/Makefile example/Makefile example/gramps/Makefile gramps.spec gramps.sh"
cat >confcache <<\_ACEOF cat >confcache <<\_ACEOF
@ -4747,8 +3975,6 @@ s,@AMDEP_TRUE@,$AMDEP_TRUE,;t t
s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t
s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t
s,@CCDEPMODE@,$CCDEPMODE,;t t s,@CCDEPMODE@,$CCDEPMODE,;t t
s,@CPP@,$CPP,;t t
s,@EGREP@,$EGREP,;t t
s,@HAVE_PKG_CONFIG@,$HAVE_PKG_CONFIG,;t t s,@HAVE_PKG_CONFIG@,$HAVE_PKG_CONFIG,;t t
s,@PYTHON_CPPFLAGS@,$PYTHON_CPPFLAGS,;t t s,@PYTHON_CPPFLAGS@,$PYTHON_CPPFLAGS,;t t
s,@SK_CONFIG@,$SK_CONFIG,;t t s,@SK_CONFIG@,$SK_CONFIG,;t t
@ -4757,7 +3983,6 @@ s,@GNOMEHELP@,$GNOMEHELP,;t t
s,@GPREFIX@,$GPREFIX,;t t s,@GPREFIX@,$GPREFIX,;t t
s,@GNOMEINC@,$GNOMEINC,;t t s,@GNOMEINC@,$GNOMEINC,;t t
s,@GNOMELIB@,$GNOMELIB,;t t s,@GNOMELIB@,$GNOMELIB,;t t
s,@INTLLIBS@,$INTLLIBS,;t t
s,@LIBOBJS@,$LIBOBJS,;t t s,@LIBOBJS@,$LIBOBJS,;t t
s,@LTLIBOBJS@,$LTLIBOBJS,;t t s,@LTLIBOBJS@,$LTLIBOBJS,;t t
CEOF CEOF

View File

@ -76,7 +76,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -136,7 +136,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -76,7 +76,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -74,7 +74,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -75,7 +75,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -1,5 +1,5 @@
%define ver 0.9.3 %define ver 0.9.3
%define rel 0.CVS20030815 %define rel 0.CVS20030816
%define prefix /usr %define prefix /usr
%define localstatedir /var/lib %define localstatedir /var/lib
# Ensure that internal RPM macros for configure & makeinstall # Ensure that internal RPM macros for configure & makeinstall

View File

@ -35,7 +35,7 @@ import os
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -74,7 +74,7 @@ class AddMediaObject:
update - a function to call to update the display update - a function to call to update the display
""" """
self.db = db self.db = db
self.glade = gtk.glade.XML(const.imageselFile,"imageSelect") self.glade = gtk.glade.XML(const.imageselFile,"imageSelect","gramps")
self.window = self.glade.get_widget("imageSelect") self.window = self.glade.get_widget("imageSelect")
self.description = self.glade.get_widget("photoDescription") self.description = self.glade.get_widget("photoDescription")
self.image = self.glade.get_widget("image") self.image = self.glade.get_widget("image")

View File

@ -30,7 +30,7 @@ __version__ = "$Revision$"
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -76,7 +76,7 @@ class AddSpouse:
self.addperson = addperson self.addperson = addperson
self.active_family = family self.active_family = family
self.glade = gtk.glade.XML(const.gladeFile, "spouseDialog") self.glade = gtk.glade.XML(const.gladeFile, "spouseDialog","gramps")
self.rel_combo = self.glade.get_widget("rel_combo") self.rel_combo = self.glade.get_widget("rel_combo")
self.relation_type = self.glade.get_widget("rel_type") self.relation_type = self.glade.get_widget("rel_type")

View File

@ -41,7 +41,7 @@ import RelLib
import Sources import Sources
from DateEdit import DateEdit from DateEdit import DateEdit
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -60,7 +60,7 @@ class AddressEditor:
addr - The address that is to be edited addr - The address that is to be edited
""" """
# Get the important widgets from the glade description # Get the important widgets from the glade description
self.top = gtk.glade.XML(const.dialogFile, "addr_edit") self.top = gtk.glade.XML(const.dialogFile, "addr_edit","gramps")
self.window = self.top.get_widget("addr_edit") self.window = self.top.get_widget("addr_edit")
self.addr_start = self.top.get_widget("address_start") self.addr_start = self.top.get_widget("address_start")
self.street = self.top.get_widget("street") self.street = self.top.get_widget("street")

View File

@ -43,7 +43,7 @@ import Sources
import AutoComp import AutoComp
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -66,7 +66,7 @@ class AttributeEditor:
self.parent = parent self.parent = parent
self.attrib = attrib self.attrib = attrib
self.top = gtk.glade.XML(const.dialogFile, "attr_edit") self.top = gtk.glade.XML(const.dialogFile, "attr_edit","gramps")
self.type_field = self.top.get_widget("attr_type") self.type_field = self.top.get_widget("attr_type")
self.slist = self.top.get_widget("slist") self.slist = self.top.get_widget("slist")
self.value_field = self.top.get_widget("attr_value") self.value_field = self.top.get_widget("attr_value")

View File

@ -36,7 +36,7 @@ import gtk
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Utils import Utils
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -28,7 +28,7 @@ web site at http://www.scottlee.com
__author__ = "Donald N. Allingham" __author__ = "Donald N. Allingham"
__version__ = "$Revision$" __version__ = "$Revision$"
from intl import gettext as _ from gettext import gettext as _
import re import re
import Errors import Errors

View File

@ -31,7 +31,7 @@ __version__ = "$Revision$"
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -90,7 +90,7 @@ class ChooseParents:
self.mother = None self.mother = None
self.father = None self.father = None
self.glade = gtk.glade.XML(const.gladeFile,"familyDialog") self.glade = gtk.glade.XML(const.gladeFile,"familyDialog","gramps")
self.top = self.glade.get_widget("familyDialog") self.top = self.glade.get_widget("familyDialog")
text = _("Choose the Parents of %s") % GrampsCfg.nameof(self.person) text = _("Choose the Parents of %s") % GrampsCfg.nameof(self.person)
@ -482,7 +482,7 @@ class ModifyParents:
self.father = self.family.getFather() self.father = self.family.getFather()
self.mother = self.family.getMother() self.mother = self.family.getMother()
self.glade = gtk.glade.XML(const.gladeFile,"modparents") self.glade = gtk.glade.XML(const.gladeFile,"modparents","gramps")
self.top = self.glade.get_widget("modparents") self.top = self.glade.get_widget("modparents")
self.title = self.glade.get_widget("title") self.title = self.glade.get_widget("title")

View File

@ -44,7 +44,7 @@ import Hebrew
import FrenchRepublic import FrenchRepublic
import Errors import Errors
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -35,7 +35,7 @@ import Utils
import const import const
import GrampsCfg import GrampsCfg
import VersionControl import VersionControl
from intl import gettext as _ from gettext import gettext as _
try: try:
import ZODB import ZODB
@ -57,7 +57,7 @@ class DbPrompter:
self.show() self.show()
def show(self): def show(self):
opendb = gtk.glade.XML(const.gladeFile, "opendb") opendb = gtk.glade.XML(const.gladeFile, "opendb","gramps")
top = opendb.get_widget('opendb') top = opendb.get_widget('opendb')
title = opendb.get_widget('title') title = opendb.get_widget('title')
@ -88,7 +88,7 @@ class DbPrompter:
Utils.destroy_passed_object(obj) Utils.destroy_passed_object(obj)
def save_as_activate(self): def save_as_activate(self):
wFs = gtk.glade.XML (const.gladeFile, "fileselection") wFs = gtk.glade.XML (const.gladeFile, "fileselection","gramps")
wFs.signal_autoconnect({ wFs.signal_autoconnect({
"on_ok_button1_clicked": self.save_ok_button_clicked, "on_ok_button1_clicked": self.save_ok_button_clicked,
"destroy_passed_object": self.cancel_button_clicked, "destroy_passed_object": self.cancel_button_clicked,
@ -105,7 +105,7 @@ class DbPrompter:
self.db.save_file(filename,_("No Comment Provided")) self.db.save_file(filename,_("No Comment Provided"))
def open_activate(self): def open_activate(self):
wFs = gtk.glade.XML(const.revisionFile, "dbopen") wFs = gtk.glade.XML(const.revisionFile, "dbopen","gramps")
wFs.signal_autoconnect({ wFs.signal_autoconnect({
"on_ok_button1_clicked": self.ok_button_clicked, "on_ok_button1_clicked": self.ok_button_clicked,
"destroy_passed_object": self.cancel_button_clicked, "destroy_passed_object": self.cancel_button_clicked,

View File

@ -42,7 +42,7 @@ import gtk.glade
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import const import const
from intl import gettext as _ from gettext import gettext as _
_release_files = [ _release_files = [
"/etc/mandrake-release", "/etc/mandrake-release",
@ -91,7 +91,7 @@ class DisplayTrace:
traceback.print_exception(data[0],data[1],data[2],None,msg) traceback.print_exception(data[0],data[1],data[2],None,msg)
self.glade = gtk.glade.XML(const.pluginsFile,"plugstat") self.glade = gtk.glade.XML(const.pluginsFile,"plugstat","gramps")
self.top = self.glade.get_widget("plugstat") self.top = self.glade.get_widget("plugstat")
window = self.glade.get_widget("text") window = self.glade.get_widget("text")
self.top.set_title("%s - GRAMPS" % _('Internal Error')) self.top.set_title("%s - GRAMPS" % _('Internal Error'))

View File

@ -54,7 +54,7 @@ import RelLib
from DateEdit import DateEdit from DateEdit import DateEdit
from QuestionDialog import QuestionDialog, WarningDialog, ErrorDialog, SaveDialog from QuestionDialog import QuestionDialog, WarningDialog, ErrorDialog, SaveDialog
from intl import gettext as _ from gettext import gettext as _
_temple_names = const.lds_temple_codes.keys() _temple_names = const.lds_temple_codes.keys()
_temple_names.sort() _temple_names.sort()
@ -95,7 +95,7 @@ class EditPerson:
self.pdmap[p[0]] = key self.pdmap[p[0]] = key
self.load_obj = None self.load_obj = None
self.top = gtk.glade.XML(const.editPersonFile, "editPerson") self.top = gtk.glade.XML(const.editPersonFile, "editPerson","gramps")
self.icon_list = self.top.get_widget("iconlist") self.icon_list = self.top.get_widget("iconlist")
self.gallery = ImageSelect.Gallery(person, self.path, self.icon_list,self.db,self) self.gallery = ImageSelect.Gallery(person, self.path, self.icon_list,self.db,self)

View File

@ -45,7 +45,7 @@ import GrampsCfg
import Sources import Sources
import ImageSelect import ImageSelect
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -75,7 +75,7 @@ class EditPlace:
else: else:
self.srcreflist = [] self.srcreflist = []
self.top_window = gtk.glade.XML(const.placesFile,"placeEditor") self.top_window = gtk.glade.XML(const.placesFile,"placeEditor","gramps")
self.top = self.top_window.get_widget("placeEditor") self.top = self.top_window.get_widget("placeEditor")
self.iconlist = self.top_window.get_widget('iconlist') self.iconlist = self.top_window.get_widget('iconlist')
title_label = self.top_window.get_widget('title') title_label = self.top_window.get_widget('title')

View File

@ -36,7 +36,7 @@ import GrampsCfg
import ImageSelect import ImageSelect
import ListModel import ListModel
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -54,7 +54,7 @@ class EditSource:
self.not_loaded = 1 self.not_loaded = 1
self.ref_not_loaded = 1 self.ref_not_loaded = 1
self.top_window = gtk.glade.XML(const.gladeFile,"sourceEditor") self.top_window = gtk.glade.XML(const.gladeFile,"sourceEditor","gramps")
self.top = self.top_window.get_widget("sourceEditor") self.top = self.top_window.get_widget("sourceEditor")
Utils.set_titles(self.top,self.top_window.get_widget('title'), Utils.set_titles(self.top,self.top_window.get_widget('title'),

View File

@ -44,7 +44,7 @@ import RelLib
import Date import Date
from DateEdit import DateEdit from DateEdit import DateEdit
from intl import gettext as _ from gettext import gettext as _
from QuestionDialog import WarningDialog from QuestionDialog import WarningDialog
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
@ -78,7 +78,7 @@ class EventEditor:
self.witnesslist = [] self.witnesslist = []
self.date = Date.Date(None) self.date = Date.Date(None)
self.top = gtk.glade.XML(const.dialogFile, "event_edit") self.top = gtk.glade.XML(const.dialogFile, "event_edit","gramps")
self.window = self.top.get_widget("event_edit") self.window = self.top.get_widget("event_edit")
title_label = self.top.get_widget('title') title_label = self.top.get_widget('title')

View File

@ -46,7 +46,7 @@ import ChooseParents
import RelLib import RelLib
import EditPerson import EditPerson
from intl import gettext as _ from gettext import gettext as _
from QuestionDialog import QuestionDialog,WarningDialog from QuestionDialog import QuestionDialog,WarningDialog
_BORN = _('b.') _BORN = _('b.')

View File

@ -29,7 +29,7 @@ import sys
import gtk import gtk
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -45,7 +45,7 @@ import gtk.glade
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import const import const
import Utils import Utils
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -63,7 +63,7 @@ class FindBase:
self.t = type(u' ') self.t = type(u' ')
self.db = db self.db = db
self.task = task self.task = task
self.glade = gtk.glade.XML(const.gladeFile,"find") self.glade = gtk.glade.XML(const.gladeFile,"find","gramps")
self.glade.signal_autoconnect({ self.glade.signal_autoconnect({
'on_next_clicked' : self.on_next_clicked, 'on_next_clicked' : self.on_next_clicked,
'on_back_clicked' : self.on_prev_clicked, 'on_back_clicked' : self.on_prev_clicked,

View File

@ -35,7 +35,7 @@ __version__ = "$Revision$"
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Calendar import Calendar
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -52,7 +52,7 @@ import RelLib
import Date import Date
import Calendar import Calendar
import Errors import Errors
from intl import gettext as _ from gettext import gettext as _
from Utils import for_each_ancestor from Utils import for_each_ancestor
#------------------------------------------------------------------------- #-------------------------------------------------------------------------

View File

@ -52,7 +52,7 @@ import RelLib
import const import const
import Utils import Utils
from intl import gettext as _ from gettext import gettext as _
client = gconf.client_get_default() client = gconf.client_get_default()
client.add_dir("/apps/gramps",gconf.CLIENT_PRELOAD_NONE) client.add_dir("/apps/gramps",gconf.CLIENT_PRELOAD_NONE)
@ -502,7 +502,7 @@ def add_checkbox(category,panel,frame,config_tag,label,default):
class GrampsPreferences: class GrampsPreferences:
def __init__(self,db): def __init__(self,db):
self.db = db self.db = db
self.top = gtk.glade.XML(const.prefsFile,"preferences") self.top = gtk.glade.XML(const.prefsFile,"preferences","gramps")
self.top.signal_autoconnect({ self.top.signal_autoconnect({
"on_close_clicked" : self.on_close_clicked, "on_close_clicked" : self.on_close_clicked,
"on_ok_clicked" : self.on_ok_clicked, "on_ok_clicked" : self.on_ok_clicked,

View File

@ -34,7 +34,7 @@ __version__ = "$Revision$"
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Calendar import Calendar
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -34,7 +34,7 @@ __version__ = "$Revision$"
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Calendar import Calendar
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -51,7 +51,7 @@ import ListModel
import grampslib import grampslib
from QuestionDialog import ErrorDialog from QuestionDialog import ErrorDialog
from intl import gettext as _ from gettext import gettext as _
_IMAGEX = 140 _IMAGEX = 140
_IMAGEY = 150 _IMAGEY = 150
@ -92,7 +92,7 @@ class ImageSelect:
if self.path == '': if self.path == '':
return return
self.glade = gtk.glade.XML(const.imageselFile,"imageSelect") self.glade = gtk.glade.XML(const.imageselFile,"imageSelect","gramps")
window = self.glade.get_widget("imageSelect") window = self.glade.get_widget("imageSelect")
self.fname = self.glade.get_widget("fname") self.fname = self.glade.get_widget("fname")
@ -623,8 +623,7 @@ class LocalMediaProperties:
self.db = parent.db self.db = parent.db
fname = self.object.getPath() fname = self.object.getPath()
self.change_dialog = gtk.glade.XML(const.imageselFile, self.change_dialog = gtk.glade.XML(const.imageselFile,"change_description","gramps")
"change_description")
title = _('Change local media object properties') title = _('Change local media object properties')
Utils.set_titles(self.change_dialog.get_widget('change_description'), Utils.set_titles(self.change_dialog.get_widget('change_description'),
@ -752,7 +751,7 @@ class GlobalMediaProperties:
self.refs = 0 self.refs = 0
self.path = self.db.getSavePath() self.path = self.db.getSavePath()
self.change_dialog = gtk.glade.XML(const.imageselFile,"change_global") self.change_dialog = gtk.glade.XML(const.imageselFile,"change_global","gramps")
title = _('Change global media object properties') title = _('Change global media object properties')

View File

@ -34,7 +34,7 @@ __version__ = "$Revision$"
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Calendar import Calendar
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -35,7 +35,7 @@ import const
import Utils import Utils
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -47,7 +47,7 @@ class LocationEditor:
def __init__(self,parent,location): def __init__(self,parent,location):
self.parent = parent self.parent = parent
self.location = location self.location = location
self.top = gtk.glade.XML(const.dialogFile, "loc_edit") self.top = gtk.glade.XML(const.dialogFile, "loc_edit","gramps")
self.window = self.top.get_widget("loc_edit") self.window = self.top.get_widget("loc_edit")
self.city = self.top.get_widget("city") self.city = self.top.get_widget("city")
self.state = self.top.get_widget("state") self.state = self.top.get_widget("state")

View File

@ -4,9 +4,8 @@ SUBDIRS = docgen filters plugins data po calendars
# For intl. support, how do we compile? # For intl. support, how do we compile?
CFLAGS = -fPIC -shared -O @GNOMEINC@ @CFLAGS@ @CPPFLAGS@ -I@includedir@ CFLAGS = -fPIC -shared -O @GNOMEINC@ @CFLAGS@ @CPPFLAGS@ -I@includedir@
LDFLAGS = @GNOMELIB@ @LDFLAGS@ -L@libdir@ @LIBS@ LDFLAGS = @GNOMELIB@ @LDFLAGS@ -L@libdir@ @LIBS@
CLEANFILES = $(INTLLIBS) grampslib.so CLEANFILES = grampslib.so
MOSTLYCLEANFILES = MOSTLYCLEANFILES =
INTLLIBS= intl22.so
# What are the PYTHON scripts for this package that need to be handled? # What are the PYTHON scripts for this package that need to be handled?
# #
@ -53,7 +52,6 @@ pkgpython_PYTHON = \
Hebrew.py\ Hebrew.py\
ImageSelect.py\ ImageSelect.py\
ImgManip.py\ ImgManip.py\
intl.py\
Julian.py\ Julian.py\
latin_ansel.py\ latin_ansel.py\
latin_utf8.py\ latin_utf8.py\
@ -133,16 +131,14 @@ GRAPHICS = \
# Other stuff that we need to install # Other stuff that we need to install
dist_pkgdata_DATA = $(GLADEFILES) $(GRAPHICS) gramps.desktop dist_pkgdata_DATA = $(GLADEFILES) $(GRAPHICS) gramps.desktop
nodist_pkgdata_DATA = grampslib.so $(INTLLIBS) nodist_pkgdata_DATA = grampslib.so
EXTRA_DIST = grampslib.i intl.c grampslib_wrap.c EXTRA_DIST = grampslib.i grampslib_wrap.c
all-local: $(INTLLIBS) grampslib.so all-local: grampslib.so
# These can probably be done in a better or more elegant/generic way # These can probably be done in a better or more elegant/generic way
# eventually (libtool?), but this works. # eventually (libtool?), but this works.
intl22.so: $(srcdir)/intl.c
$(CC) $(CFLAGS) $(LDFLAGS) $(PYTHON_CPPFLAGS) -DVER22 -o $@ $(srcdir)/intl.c
grampslib.so: $(srcdir)/grampslib_wrap.c grampslib.so: $(srcdir)/grampslib_wrap.c
$(CC) $(CFLAGS) $(PYTHON_CPPFLAGS) -o $@ $(srcdir)/grampslib_wrap.c $(LDFLAGS) $(CC) $(CFLAGS) $(PYTHON_CPPFLAGS) -o $@ $(srcdir)/grampslib_wrap.c $(LDFLAGS)

View File

@ -74,7 +74,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = intl22.so
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@
@ -108,7 +107,7 @@ SUBDIRS = docgen filters plugins data po calendars
# For intl. support, how do we compile? # For intl. support, how do we compile?
CFLAGS = -fPIC -shared -O @GNOMEINC@ @CFLAGS@ @CPPFLAGS@ -I@includedir@ CFLAGS = -fPIC -shared -O @GNOMEINC@ @CFLAGS@ @CPPFLAGS@ -I@includedir@
LDFLAGS = @GNOMELIB@ @LDFLAGS@ -L@libdir@ @LIBS@ LDFLAGS = @GNOMELIB@ @LDFLAGS@ -L@libdir@ @LIBS@
CLEANFILES = $(INTLLIBS) grampslib.so CLEANFILES = grampslib.so
MOSTLYCLEANFILES = MOSTLYCLEANFILES =
@ -156,7 +155,6 @@ pkgpython_PYTHON = \
Hebrew.py\ Hebrew.py\
ImageSelect.py\ ImageSelect.py\
ImgManip.py\ ImgManip.py\
intl.py\
Julian.py\ Julian.py\
latin_ansel.py\ latin_ansel.py\
latin_utf8.py\ latin_utf8.py\
@ -239,9 +237,9 @@ GRAPHICS = \
# Other stuff that we need to install # Other stuff that we need to install
dist_pkgdata_DATA = $(GLADEFILES) $(GRAPHICS) gramps.desktop dist_pkgdata_DATA = $(GLADEFILES) $(GRAPHICS) gramps.desktop
nodist_pkgdata_DATA = grampslib.so $(INTLLIBS) nodist_pkgdata_DATA = grampslib.so
EXTRA_DIST = grampslib.i intl.c grampslib_wrap.c EXTRA_DIST = grampslib.i grampslib_wrap.c
subdir = src subdir = src
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = const.py CONFIG_CLEAN_FILES = const.py
@ -555,12 +553,10 @@ uninstall-info: uninstall-info-recursive
uninstall-recursive uninstall-recursive
all-local: $(INTLLIBS) grampslib.so all-local: grampslib.so
# These can probably be done in a better or more elegant/generic way # These can probably be done in a better or more elegant/generic way
# eventually (libtool?), but this works. # eventually (libtool?), but this works.
intl22.so: $(srcdir)/intl.c
$(CC) $(CFLAGS) $(LDFLAGS) $(PYTHON_CPPFLAGS) -DVER22 -o $@ $(srcdir)/intl.c
grampslib.so: $(srcdir)/grampslib_wrap.c grampslib.so: $(srcdir)/grampslib_wrap.c
$(CC) $(CFLAGS) $(PYTHON_CPPFLAGS) -o $@ $(srcdir)/grampslib_wrap.c $(LDFLAGS) $(CC) $(CFLAGS) $(PYTHON_CPPFLAGS) -o $@ $(srcdir)/grampslib_wrap.c $(LDFLAGS)

View File

@ -44,7 +44,7 @@ import ImageSelect
import Date import Date
from QuestionDialog import QuestionDialog, WarningDialog, SaveDialog from QuestionDialog import QuestionDialog, WarningDialog, SaveDialog
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -77,7 +77,7 @@ class Marriage:
p = db.getPlaceDisplay(key) p = db.getPlaceDisplay(key)
self.pmap[p[0]] = key self.pmap[p[0]] = key
self.top = gtk.glade.XML(const.marriageFile,"marriageEditor") self.top = gtk.glade.XML(const.marriageFile,"marriageEditor","gramps")
top_window = self.get_widget("marriageEditor") top_window = self.get_widget("marriageEditor")
Utils.set_titles(top_window, self.top.get_widget('title'), Utils.set_titles(top_window, self.top.get_widget('title'),

View File

@ -54,7 +54,7 @@ from QuestionDialog import QuestionDialog, ErrorDialog, WarningDialog
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -42,7 +42,7 @@ import Utils
import GrampsCfg import GrampsCfg
import ListModel import ListModel
import const import const
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -58,7 +58,7 @@ class MergePeople:
self.update = update self.update = update
self.ep_update = ep_update self.ep_update = ep_update
self.glade = gtk.glade.XML(const.mergeFile,"merge") self.glade = gtk.glade.XML(const.mergeFile,"merge","gramps")
self.top = self.glade.get_widget("merge") self.top = self.glade.get_widget("merge")
Utils.set_titles(self.top,self.glade.get_widget('title'), Utils.set_titles(self.top,self.glade.get_widget('title'),
@ -820,7 +820,7 @@ class MergePlaces:
self.p2 = place2 self.p2 = place2
self.update = update self.update = update
self.glade = gtk.glade.XML(const.mergeFile,"merge_places") self.glade = gtk.glade.XML(const.mergeFile,"merge_places","gramps")
self.top = self.glade.get_widget("merge_places") self.top = self.glade.get_widget("merge_places")
self.glade.get_widget("title1_text").set_text(place1.get_title()) self.glade.get_widget("title1_text").set_text(place1.get_title())
self.glade.get_widget("title2_text").set_text(place2.get_title()) self.glade.get_widget("title2_text").set_text(place2.get_title())

View File

@ -36,7 +36,7 @@ import AutoComp
import Sources import Sources
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -49,7 +49,7 @@ class NameEditor:
self.parent = parent self.parent = parent
self.name = name self.name = name
self.callback = callback self.callback = callback
self.top = gtk.glade.XML(const.dialogFile, "name_edit") self.top = gtk.glade.XML(const.dialogFile, "name_edit","gramps")
self.window = self.top.get_widget("name_edit") self.window = self.top.get_widget("name_edit")
self.given_field = self.top.get_widget("alt_given") self.given_field = self.top.get_widget("alt_given")
self.title_field = self.top.get_widget("alt_title") self.title_field = self.top.get_widget("alt_title")

View File

@ -31,7 +31,7 @@ import gtk
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Utils import Utils
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -34,7 +34,7 @@ import TextDoc
import GrampsCfg import GrampsCfg
import const import const
import Utils import Utils
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -38,7 +38,7 @@ import pango
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import GrampsCfg import GrampsCfg
from intl import gettext as _ from gettext import gettext as _
_BORN = _('b.') _BORN = _('b.')
_DIED = _('d.') _DIED = _('d.')

View File

@ -41,7 +41,7 @@ import EditPlace
import Utils import Utils
from QuestionDialog import QuestionDialog, ErrorDialog from QuestionDialog import QuestionDialog, ErrorDialog
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -57,9 +57,9 @@ import Utils
import GrampsCfg import GrampsCfg
import Errors import Errors
import intl import gettext
_ = intl.gettext _ = gettext.gettext
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -126,7 +126,7 @@ class PluginDialog:
self.update = None self.update = None
self.imap = {} self.imap = {}
self.dialog = gtk.glade.XML(const.pluginsFile,"report") self.dialog = gtk.glade.XML(const.pluginsFile,"report","gramps")
self.dialog.signal_autoconnect({ self.dialog.signal_autoconnect({
"on_report_apply_clicked" : self.on_apply_clicked, "on_report_apply_clicked" : self.on_apply_clicked,
"on_report_ok_clicked" : self.on_ok_clicked, "on_report_ok_clicked" : self.on_ok_clicked,
@ -289,7 +289,7 @@ class PluginStatus:
def __init__(self): def __init__(self):
import cStringIO import cStringIO
self.glade = gtk.glade.XML(const.pluginsFile,"plugstat") self.glade = gtk.glade.XML(const.pluginsFile,"plugstat","gramps")
self.top = self.glade.get_widget("plugstat") self.top = self.glade.get_widget("plugstat")
self.top.set_title("%s - GRAMPS" % _('Plugin status')) self.top.set_title("%s - GRAMPS" % _('Plugin status'))
window = self.glade.get_widget("text") window = self.glade.get_widget("text")
@ -299,9 +299,6 @@ class PluginStatus:
info = cStringIO.StringIO() info = cStringIO.StringIO()
if intl.status:
_expect.append(('intl:py','GRAMPS was built without internationalization support'))
if len(_expect) + len(_failmsg) == 0: if len(_expect) + len(_failmsg) == 0:
window.get_buffer().set_text(_('All modules were successfully loaded.')) window.get_buffer().set_text(_('All modules were successfully loaded.'))
else: else:

View File

@ -22,11 +22,11 @@ import gtk
import gtk.glade import gtk.glade
import const import const
from intl import gettext as _ from gettext import gettext as _
class SaveDialog: class SaveDialog:
def __init__(self,msg1,msg2,task1,task2): def __init__(self,msg1,msg2,task1,task2):
self.xml = gtk.glade.XML(const.errdialogsFile,"savedialog") self.xml = gtk.glade.XML(const.errdialogsFile,"savedialog","gramps")
self.top = self.xml.get_widget('savedialog') self.top = self.xml.get_widget('savedialog')
self.task1 = task1 self.task1 = task1
self.task2 = task2 self.task2 = task2
@ -49,7 +49,7 @@ class SaveDialog:
class QuestionDialog: class QuestionDialog:
def __init__(self,msg1,msg2,label,task): def __init__(self,msg1,msg2,label,task):
self.xml = gtk.glade.XML(const.errdialogsFile,"questiondialog") self.xml = gtk.glade.XML(const.errdialogsFile,"questiondialog","gramps")
self.top = self.xml.get_widget('questiondialog') self.top = self.xml.get_widget('questiondialog')
self.top.set_title('') self.top.set_title('')
@ -71,7 +71,7 @@ class QuestionDialog:
class OptionDialog: class OptionDialog:
def __init__(self,msg1,msg2,btnmsg1,task1,btnmsg2,task2): def __init__(self,msg1,msg2,btnmsg1,task1,btnmsg2,task2):
self.xml = gtk.glade.XML(const.errdialogsFile,"optiondialog") self.xml = gtk.glade.XML(const.errdialogsFile,"optiondialog","gramps")
self.top = self.xml.get_widget('optiondialog') self.top = self.xml.get_widget('optiondialog')
self.top.set_title('') self.top.set_title('')
@ -101,7 +101,7 @@ class OptionDialog:
class ErrorDialog: class ErrorDialog:
def __init__(self,msg1,msg2=""): def __init__(self,msg1,msg2=""):
self.xml = gtk.glade.XML(const.errdialogsFile,"errdialog") self.xml = gtk.glade.XML(const.errdialogsFile,"errdialog","gramps")
self.top = self.xml.get_widget('errdialog') self.top = self.xml.get_widget('errdialog')
label1 = self.xml.get_widget('label1') label1 = self.xml.get_widget('label1')
@ -116,7 +116,7 @@ class ErrorDialog:
class WarningDialog: class WarningDialog:
def __init__(self,msg1,msg2=""): def __init__(self,msg1,msg2=""):
self.xml = gtk.glade.XML(const.errdialogsFile,"warndialog") self.xml = gtk.glade.XML(const.errdialogsFile,"warndialog","gramps")
self.top = self.xml.get_widget('warndialog') self.top = self.xml.get_widget('warndialog')
label1 = self.xml.get_widget('label1') label1 = self.xml.get_widget('label1')
@ -131,7 +131,7 @@ class WarningDialog:
class OkDialog: class OkDialog:
def __init__(self,msg1,msg2=""): def __init__(self,msg1,msg2=""):
self.xml = gtk.glade.XML(const.errdialogsFile,"okdialog") self.xml = gtk.glade.XML(const.errdialogsFile,"okdialog","gramps")
self.top = self.xml.get_widget('okdialog') self.top = self.xml.get_widget('okdialog')
label1 = self.xml.get_widget('label1') label1 = self.xml.get_widget('label1')
@ -145,7 +145,7 @@ class OkDialog:
class MissingMediaDialog: class MissingMediaDialog:
def __init__(self,msg1,msg2,task1,task2,task3): def __init__(self,msg1,msg2,task1,task2,task3):
self.xml = gtk.glade.XML(const.errdialogsFile,"missmediadialog") self.xml = gtk.glade.XML(const.errdialogsFile,"missmediadialog","gramps")
self.top = self.xml.get_widget('missmediadialog') self.top = self.xml.get_widget('missmediadialog')
self.task1 = task1 self.task1 = task1
self.task2 = task2 self.task2 = task2

View File

@ -34,7 +34,7 @@ import Utils
import AutoComp import AutoComp
import const import const
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -46,7 +46,7 @@ class QuickAdd:
self.db = db self.db = db
self.callback = callback self.callback = callback
self.xml = gtk.glade.XML(const.gladeFile,"addperson") self.xml = gtk.glade.XML(const.gladeFile,"addperson","gramps")
self.xml.get_widget(sex).set_active(1) self.xml.get_widget(sex).set_active(1)
self.xml.signal_autoconnect({ self.xml.signal_autoconnect({
"on_addfather_close": self.close, "on_addfather_close": self.close,

View File

@ -37,7 +37,7 @@ from xml.parsers.expat import ExpatError
import RelLib import RelLib
from GrampsParser import GrampsParser, GrampsImportParser from GrampsParser import GrampsParser, GrampsImportParser
from QuestionDialog import ErrorDialog, WarningDialog, MissingMediaDialog from QuestionDialog import ErrorDialog, WarningDialog, MissingMediaDialog
from intl import gettext as _ from gettext import gettext as _
import Utils import Utils
#------------------------------------------------------------------------- #-------------------------------------------------------------------------

View File

@ -42,7 +42,7 @@ from QuestionDialog import ErrorDialog, WarningDialog
import const import const
import Utils import Utils
import ImgManip import ImgManip
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -54,7 +54,7 @@ import StyleEditor
import GrampsCfg import GrampsCfg
import PaperMenu import PaperMenu
from intl import gettext as _ from gettext import gettext as _
from QuestionDialog import ErrorDialog, OptionDialog from QuestionDialog import ErrorDialog, OptionDialog
#------------------------------------------------------------------------- #-------------------------------------------------------------------------

View File

@ -24,7 +24,7 @@
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -58,7 +58,7 @@ class SelectChild:
self.family = family self.family = family
self.redraw = redraw self.redraw = redraw
self.add_person = add_person self.add_person = add_person
self.xml = gtk.glade.XML(const.gladeFile,"select_child") self.xml = gtk.glade.XML(const.gladeFile,"select_child","gramps")
if person: if person:
self.default_name = person.getPrimaryName().getSurname().upper() self.default_name = person.getPrimaryName().getSurname().upper()
@ -317,7 +317,7 @@ class EditRel:
self.child = child self.child = child
self.family = family self.family = family
self.xml = gtk.glade.XML(const.gladeFile,"editrel") self.xml = gtk.glade.XML(const.gladeFile,"editrel","gramps")
self.top = self.xml.get_widget('editrel') self.top = self.xml.get_widget('editrel')
self.mdesc = self.xml.get_widget('mrel_desc') self.mdesc = self.xml.get_widget('mrel_desc')
self.fdesc = self.xml.get_widget('frel_desc') self.fdesc = self.xml.get_widget('frel_desc')

View File

@ -23,7 +23,7 @@
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -58,7 +58,7 @@ class SelectPerson:
self.db = db self.db = db
self.filter = filter self.filter = filter
gladefile = "%s/choose.glade" % const.rootDir gladefile = "%s/choose.glade" % const.rootDir
self.glade = gtk.glade.XML(gladefile,"select") self.glade = gtk.glade.XML(gladefile,"select","gramps")
self.top = self.glade.get_widget('select') self.top = self.glade.get_widget('select')
title_label = self.glade.get_widget('title') title_label = self.glade.get_widget('title')
self.filter_select = self.glade.get_widget('filter') self.filter_select = self.glade.get_widget('filter')

View File

@ -49,7 +49,7 @@ from QuestionDialog import QuestionDialog
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -35,7 +35,7 @@ import gtk.glade
import const import const
import Utils import Utils
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -52,7 +52,7 @@ class SourceSelector:
for s in self.orig: for s in self.orig:
self.list.append(RelLib.SourceRef(s)) self.list.append(RelLib.SourceRef(s))
self.update=update self.update=update
self.top = gtk.glade.XML(const.srcselFile,"sourcesel") self.top = gtk.glade.XML(const.srcselFile,"sourcesel","gramps")
self.sourcesel = self.top.get_widget("sourcesel") self.sourcesel = self.top.get_widget("sourcesel")
Utils.set_titles(self.sourcesel, self.top.get_widget('title'), Utils.set_titles(self.sourcesel, self.top.get_widget('title'),
@ -227,7 +227,7 @@ class SourceEditor:
self.parent = parent self.parent = parent
self.update = update self.update = update
self.source_ref = srcref self.source_ref = srcref
self.showSource = gtk.glade.XML(const.srcselFile, "sourceDisplay") self.showSource = gtk.glade.XML(const.srcselFile, "sourceDisplay","gramps")
self.sourceDisplay = self.get_widget("sourceDisplay") self.sourceDisplay = self.get_widget("sourceDisplay")
Utils.set_titles(self.sourceDisplay, self.showSource.get_widget('title'), Utils.set_titles(self.sourceDisplay, self.showSource.get_widget('title'),

View File

@ -24,7 +24,7 @@ import gnome
import gnome.ui import gnome.ui
import gconf import gconf
from intl import gettext as _ from gettext import gettext as _
_StartupEntry = "/apps/gramps/startup" _StartupEntry = "/apps/gramps/startup"

View File

@ -43,7 +43,7 @@ import const
import TextDoc import TextDoc
import ListModel import ListModel
import locale import locale
from intl import gettext as _ from gettext import gettext as _
class StyleListDisplay: class StyleListDisplay:
""" """
@ -62,7 +62,7 @@ class StyleListDisplay:
self.callback = callback self.callback = callback
self.sheetlist = stylesheetlist self.sheetlist = stylesheetlist
self.top = gtk.glade.XML(const.stylesFile,"styles") self.top = gtk.glade.XML(const.stylesFile,"styles","gramps")
Utils.set_titles(self.top.get_widget('styles'), Utils.set_titles(self.top.get_widget('styles'),
self.top.get_widget('title'), self.top.get_widget('title'),
@ -162,7 +162,7 @@ class StyleEditor:
self.original_style = style self.original_style = style
self.style = TextDoc.StyleSheet(style) self.style = TextDoc.StyleSheet(style)
self.parent = parent self.parent = parent
self.top = gtk.glade.XML(const.stylesFile,"editor") self.top = gtk.glade.XML(const.stylesFile,"editor","gramps")
self.top.signal_autoconnect({ self.top.signal_autoconnect({
"on_save_style_clicked" : self.on_save_style_clicked, "on_save_style_clicked" : self.on_save_style_clicked,

View File

@ -33,7 +33,7 @@ import gtk.glade
import const import const
import Utils import Utils
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -46,7 +46,7 @@ class UrlEditor:
self.parent = parent self.parent = parent
self.url = url self.url = url
self.callback = callback self.callback = callback
self.top = gtk.glade.XML(const.dialogFile, "url_edit") self.top = gtk.glade.XML(const.dialogFile, "url_edit","gramps")
self.window = self.top.get_widget("url_edit") self.window = self.top.get_widget("url_edit")
self.des = self.top.get_widget("url_des") self.des = self.top.get_widget("url_des")
self.addr = self.top.get_widget("url_addr") self.addr = self.top.get_widget("url_addr")

View File

@ -48,7 +48,7 @@ import RelImage
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -47,7 +47,7 @@ import gtk.glade
# standard python modules # standard python modules
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -76,7 +76,7 @@ class RevisionComment:
def __init__(self,filename,save_file): def __init__(self,filename,save_file):
self.filename = filename self.filename = filename
self.save = save_file self.save = save_file
self.top = gtk.glade.XML(const.revisionFile, "revcom") self.top = gtk.glade.XML(const.revisionFile, "revcom","gramps")
self.win = self.top.get_widget("revcom") self.win = self.top.get_widget("revcom")
self.top.signal_autoconnect({ self.top.signal_autoconnect({
"on_savecomment_clicked" : self.on_savecomment_clicked, "on_savecomment_clicked" : self.on_savecomment_clicked,
@ -101,7 +101,7 @@ class RevisionSelect:
self.load = load self.load = load
self.callback = callback self.callback = callback
dialog = gtk.glade.XML(const.revisionFile, "revselect") dialog = gtk.glade.XML(const.revisionFile, "revselect","gramps")
dialog.signal_autoconnect({ dialog.signal_autoconnect({
"destroy_passed_object" : self.on_cancel_clicked, "destroy_passed_object" : self.on_cancel_clicked,
"on_loadrev_clicked" : self.on_loadrev_clicked, "on_loadrev_clicked" : self.on_loadrev_clicked,

View File

@ -36,7 +36,7 @@ import const
import Utils import Utils
import RelLib import RelLib
import ListModel import ListModel
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -112,7 +112,7 @@ class WitnessEditor:
self.parent = parent self.parent = parent
self.update = update self.update = update
self.ref = ref self.ref = ref
self.show_witness = gtk.glade.XML(const.dialogFile, "witness_edit") self.show_witness = gtk.glade.XML(const.dialogFile, "witness_edit","gramps")
self.show_witness.signal_autoconnect({ self.show_witness.signal_autoconnect({
"ok_clicked" : self.ok_clicked, "ok_clicked" : self.ok_clicked,
"on_toggled" : self.on_toggled, "on_toggled" : self.on_toggled,

View File

@ -43,7 +43,7 @@ import GrampsCfg
import Calendar import Calendar
import Gregorian import Gregorian
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
from QuestionDialog import ErrorDialog from QuestionDialog import ErrorDialog
#------------------------------------------------------------------------- #-------------------------------------------------------------------------

View File

@ -41,7 +41,7 @@ import math
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Calendar import Calendar
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -79,7 +79,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -41,7 +41,7 @@ import math
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Calendar import Calendar
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -32,7 +32,7 @@ import os
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -74,7 +74,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -75,7 +75,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -34,7 +34,7 @@ import Plugins
import ImgManip import ImgManip
from latin_utf8 import latin_to_utf8 from latin_utf8 import latin_to_utf8
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -35,7 +35,7 @@ import string
import Plugins import Plugins
import ImgManip import ImgManip
import Errors import Errors
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -31,7 +31,7 @@ import const
import Errors import Errors
import TextDoc import TextDoc
from intl import gettext as _ from gettext import gettext as _
t_header_line_re = re.compile(r"(.*)<TITLE>(.*)</TITLE>(.*)", t_header_line_re = re.compile(r"(.*)<TITLE>(.*)</TITLE>(.*)",
re.DOTALL|re.IGNORECASE|re.MULTILINE) re.DOTALL|re.IGNORECASE|re.MULTILINE)

View File

@ -29,7 +29,7 @@ import Errors
from TarFile import TarFile from TarFile import TarFile
import Plugins import Plugins
import ImgManip import ImgManip
from intl import gettext as _ from gettext import gettext as _
def points(val): def points(val):
inch = float(val)/2.54 inch = float(val)/2.54

View File

@ -40,7 +40,7 @@ import Plugins
import ImgManip import ImgManip
import Errors import Errors
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------ #------------------------------------------------------------------------
# #

View File

@ -78,7 +78,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -41,7 +41,7 @@ import DrawDoc
import const import const
import FontScale import FontScale
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -45,7 +45,7 @@ import ImgManip
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -37,7 +37,7 @@ import TextDoc
import DrawDoc import DrawDoc
from Report import run_print_dialog from Report import run_print_dialog
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------

View File

@ -27,7 +27,7 @@ import TextDoc
import Plugins import Plugins
import Errors import Errors
import ImgManip import ImgManip
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------ #------------------------------------------------------------------------
# #

View File

@ -36,7 +36,7 @@ import Errors
import TextDoc import TextDoc
import DrawDoc import DrawDoc
from Report import run_print_dialog from Report import run_print_dialog
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #

View File

@ -28,7 +28,7 @@ import Plugins
import ImgManip import ImgManip
import Errors import Errors
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------ #------------------------------------------------------------------------
# #

View File

@ -32,7 +32,7 @@ from math import pi, cos, sin, fabs
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
import Plugins import Plugins
from intl import gettext as _ from gettext import gettext as _
import TextDoc import TextDoc
import DrawDoc import DrawDoc
import Errors import Errors

View File

@ -22,7 +22,7 @@
import Filter import Filter
import Date import Date
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------ #------------------------------------------------------------------------
# #

View File

@ -21,7 +21,7 @@
"People who were adopted" "People who were adopted"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class HaveAltFamilies(Filter.Filter): class HaveAltFamilies(Filter.Filter):
"People who were adopted" "People who were adopted"

View File

@ -22,7 +22,7 @@
import Filter import Filter
import Date import Date
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------ #------------------------------------------------------------------------
# #

View File

@ -21,7 +21,7 @@
"Disconnected individuals" "Disconnected individuals"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class Disconnected(Filter.Filter): class Disconnected(Filter.Filter):
"Disconnected individuals" "Disconnected individuals"

View File

@ -22,7 +22,7 @@
import Filter import Filter
import re import re
from intl import gettext as _ from gettext import gettext as _
class EventPlace(Filter.Filter): class EventPlace(Filter.Filter):
"""Finds people with a specfied event location in any field""" """Finds people with a specfied event location in any field"""

View File

@ -21,7 +21,7 @@
"People who have an event type of ..." "People who have an event type of ..."
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class EventType(Filter.Filter): class EventType(Filter.Filter):

View File

@ -22,7 +22,7 @@
import Filter import Filter
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
class Females(Filter.Filter): class Females(Filter.Filter):
"Females" "Females"

View File

@ -21,7 +21,7 @@
"People who have images" "People who have images"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class HavePhotos(Filter.Filter): class HavePhotos(Filter.Filter):
"People who have images" "People who have images"

View File

@ -21,7 +21,7 @@
"People with incomplete names" "People with incomplete names"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class IncompleteNames(Filter.Filter): class IncompleteNames(Filter.Filter):
"People with incomplete names" "People with incomplete names"

View File

@ -74,7 +74,6 @@ GNOMELIB = @GNOMELIB@
GPREFIX = @GPREFIX@ GPREFIX = @GPREFIX@
HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@ HAVE_PKG_CONFIG = @HAVE_PKG_CONFIG@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LANGUAGES = @LANGUAGES@ LANGUAGES = @LANGUAGES@
MOFILES = @MOFILES@ MOFILES = @MOFILES@
MSGFMT = @MSGFMT@ MSGFMT = @MSGFMT@

View File

@ -22,7 +22,7 @@
import Filter import Filter
import RelLib import RelLib
from intl import gettext as _ from gettext import gettext as _
class Males(Filter.Filter): class Males(Filter.Filter):
"Males" "Males"

View File

@ -22,7 +22,7 @@
import Filter import Filter
import soundex import soundex
from intl import gettext as _ from gettext import gettext as _
class MatchSndEx(Filter.Filter): class MatchSndEx(Filter.Filter):
"Names with same SoundEx code as ..." "Names with same SoundEx code as ..."

View File

@ -22,7 +22,7 @@
import Filter import Filter
import soundex import soundex
from intl import gettext as _ from gettext import gettext as _
class MatchSndEx2(Filter.Filter): class MatchSndEx2(Filter.Filter):
"Names with the specified SoundEx code" "Names with the specified SoundEx code"

View File

@ -21,7 +21,7 @@
"People with multiple marriage records" "People with multiple marriage records"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class MultipleMarriages(Filter.Filter): class MultipleMarriages(Filter.Filter):
"People with multiple marriage records" "People with multiple marriage records"

View File

@ -21,7 +21,7 @@
"People with no marriage records" "People with no marriage records"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class NeverMarried(Filter.Filter): class NeverMarried(Filter.Filter):
"People with no marriage records" "People with no marriage records"

View File

@ -21,7 +21,7 @@
"People without a birth date" "People without a birth date"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class NoBirthdate(Filter.Filter): class NoBirthdate(Filter.Filter):
"People without a birth date" "People without a birth date"

View File

@ -21,7 +21,7 @@
"People with children" "People with children"
import Filter import Filter
from intl import gettext as _ from gettext import gettext as _
class HaveChildren(Filter.Filter): class HaveChildren(Filter.Filter):
"People with children" "People with children"

View File

@ -23,7 +23,7 @@
import Filter import Filter
import re import re
import Utils import Utils
from intl import gettext as _ from gettext import gettext as _
class RegExMatch(Filter.Filter): class RegExMatch(Filter.Filter):
"Names that match a regular expression" "Names that match a regular expression"

View File

@ -23,7 +23,7 @@
import Filter import Filter
import string import string
import Utils import Utils
from intl import gettext as _ from gettext import gettext as _
class SubString(Filter.Filter): class SubString(Filter.Filter):
"Names that contain a substring" "Names that contain a substring"

View File

@ -31,7 +31,7 @@ import getopt
# internationalization # internationalization
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
from intl import gettext as _ from gettext import gettext as _
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
# #
@ -276,7 +276,7 @@ class Gramps:
widgets that it will need. widgets that it will need.
""" """
self.gtop = gtk.glade.XML(const.gladeFile, "gramps") self.gtop = gtk.glade.XML(const.gladeFile, "gramps", "gramps")
self.topWindow = self.gtop.get_widget("gramps") self.topWindow = self.gtop.get_widget("gramps")
self.report_button = self.gtop.get_widget("reports") self.report_button = self.gtop.get_widget("reports")
@ -1558,7 +1558,7 @@ class Gramps:
self.save_query_noquit) self.save_query_noquit)
if not Utils.wasModified(): if not Utils.wasModified():
wFs = gtk.glade.XML(const.revisionFile, "dbopen") wFs = gtk.glade.XML(const.revisionFile, "dbopen","gramps")
wFs.signal_autoconnect({ wFs.signal_autoconnect({
"on_ok_button1_clicked": self.on_ok_button1_clicked, "on_ok_button1_clicked": self.on_ok_button1_clicked,
"destroy_passed_object": Utils.destroy_passed_object "destroy_passed_object": Utils.destroy_passed_object
@ -1611,7 +1611,7 @@ class Gramps:
Utils.clear_timer() Utils.clear_timer()
def on_save_as_activate(self,obj): def on_save_as_activate(self,obj):
wFs = gtk.glade.XML (const.gladeFile, "fileselection") wFs = gtk.glade.XML (const.gladeFile, "fileselection","gramps")
wFs.signal_autoconnect({ wFs.signal_autoconnect({
"on_ok_button1_clicked": self.on_ok_button2_clicked, "on_ok_button1_clicked": self.on_ok_button2_clicked,
"destroy_passed_object": Utils.destroy_passed_object "destroy_passed_object": Utils.destroy_passed_object

Some files were not shown because too many files have changed in this diff Show More